package CHAPTER10;

import java.awt.*;
import javax.swing.*;

public class ContainerExample {	
	public static void main(String[] args) {
        // JFrame 생성
        JFrame frame = new JFrame("Container를 사용하여 프레임 구성");

        // JFrame 설정
        frame.setSize(400, 300);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        // Container 객체 생성
        Container container = frame.getContentPane();
        container.setLayout(new FlowLayout()); // 레이아웃 설정     
        
        // 컴포넌트 생성
        JLabel label = new JLabel("Container에 라벨을 생성.");
        container.add(label);
        
        // JFrame 표시
        frame.setVisible(true);
    }
}